
Calculate Linux - Bug # 201: ÐžÑˆÐ¸Ð±ÐºÐ° Ð¿Ñ€Ð¸ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐµ Ð½Ð° USB-Flash Ð½Ð¾Ñ•Ð¸Ñ‚ÐµÐ»ÑŒ.
Subject: ÐžÑˆÐ¸Ð±ÐºÐ° Ð¿Ñ€Ð¸ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐµ Ð½Ð° USB-Flash Ð½Ð¾Ñ•Ð¸Ñ‚ÐµÐ»ÑŒ.

Description: ÐŸÑ€Ð¸ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐµ Ð½Ð° Ð¤Ð»ÐµÑˆ Ð¿Ñ€Ð¸Ð²Ð¾Ð´ ÐºÐ¾Ð¼Ð°Ð½Ð´Ð¾Ð¹:



 sudo cl-install --type=hdd --march=i686 -d /dev/sdd1 -d /dev/sda4:none



Ð’Ñ‹Ð´Ð°ÐµÑ‚ Ñ•Ð»ÐµÐ´ÑƒÑŽÑ‰ÑƒÑŽ Ð¾ÑˆÐ¸Ð±ÐºÑƒ:



<pre>

sudo cl-install --type=hdd --march=i686 -d /dev/sdd1 -d /dev/sda4:none

 * Ð£Ñ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ° Calculate Linux

Ð¡Ð¸Ñ•Ñ‚ÐµÐ¼Ð½Ð°Ñ• Ð¸Ð½Ñ„Ð¾Ñ€Ð¼Ð°Ñ†Ð¸Ñ•

 * Ð˜Ð¼Ñ• ÐºÐ¾Ð¼Ð¿ÑŒÑŽÑ‚ÐµÑ€Ð°: calculate

 * Ð”Ð¾Ð¼ÐµÐ½Ð½Ð¾Ðµ Ð¸Ð¼Ñ•: local

 * Ð¡ÐµÑ‚ÐµÐ²Ñ‹Ðµ ÑƒÑ•Ñ‚Ñ€Ð¾Ð¹Ñ•Ñ‚Ð²Ð°: wlan0 (Off), eth0 (DHCP)

 * Ð£Ñ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½Ð½Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð°: Calculate Linux Desktop 10.9

ÐžÐ±Ð¾Ñ€ÑƒÐ´Ð¾Ð²Ð°Ð½Ð¸Ðµ

 * Ð¢Ð¸Ð¿ Ð¾Ð±Ð¾Ñ€ÑƒÐ´Ð¾Ð²Ð°Ð½Ð¸Ñ• Ð¼Ð°ÑˆÐ¸Ð½Ñ‹: i686

 * ÐšÐ¾Ð»Ð¸Ñ‡ÐµÑ•Ñ‚Ð²Ð¾ Ð¿Ñ€Ð¾Ñ†ÐµÑ•Ñ•Ð¾Ñ€Ð¾Ð²: 2

 * ÐŸÑ€Ð¾Ð¸Ð·Ð²Ð¾Ð´Ð¸Ñ‚ÐµÐ»ÑŒ Ð²Ð¸Ð´ÐµÐ¾ÐºÐ°Ñ€Ñ‚Ñ‹: ati

 * Ð Ð°Ð·Ñ€ÐµÑˆÐµÐ½Ð¸Ðµ Ñ•ÐºÑ€Ð°Ð½Ð°: 1680x1050

Ð›Ð¾ÐºÐ°Ð»Ð¸Ð·Ð°Ñ†Ð¸Ñ•

 * Ð¯Ð·Ñ‹Ðº: ru_RU

 * Ð Ð°Ñ•ÐºÐ»Ð°Ð´ÐºÐ° ÐºÐ»Ð°Ð²Ð¸Ð°Ñ‚ÑƒÑ€Ñ‹: us,ru

 * Ð§Ð°Ñ•Ð¾Ð²Ð¾Ð¹ Ð¿Ð¾Ñ•Ñ•: Europe/Moscow

Ð Ð°Ð·Ð¼ÐµÑ‰ÐµÐ½Ð¸Ðµ

 * Ð“Ð»Ð°Ð²Ð½Ð°Ñ• Ð·Ð°Ð³Ñ€ÑƒÐ·Ð¾Ñ‡Ð½Ð°Ñ• Ð·Ð°Ð¿Ð¸Ñ•ÑŒ (MBR): /dev/sda (ATA WDC 

WD3200AAJS-2)

+--------+------------+------------+------------------+---------------+---------+

| Ð Ð°Ð·Ð¼ÐµÑ€ | Ð£Ñ•Ñ‚Ñ€Ð¾Ð¹Ñ•Ñ‚Ð²Ð¾ | Ð”Ð¸Ñ€ÐµÐºÑ‚Ð¾Ñ€Ð¸Ñ• | Ð¤Ð°Ð¹Ð»Ð¾Ð²Ð°Ñ• 

Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð° | Ð¤Ð¾Ñ€Ð¼Ð°Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ñ‚ÑŒ | Ð Ð°Ð·Ð´ÐµÐ»  |

+--------+------------+------------+------------------+---------------+---------+

| 2657MB | /dev/sda5  |            | swap             |               | logical |

| 8103MB | /dev/sdd1  | /          | reiserfs         | Ð”Ð°            | primary |

+--------+------------+------------+------------------+---------------+---------+

Ð¡ÐµÑ‚ÐµÐ²Ñ‹Ðµ Ñ•ÐµÑ€Ð²Ð¸Ñ•Ñ‹

 * ÐŸÑ€Ð¾ÐºÑ•Ð¸: Ð½ÐµÑ‚

 * NTP: ntp0.zenon.net

Ð’Ñ‹Ð¿Ð¾Ð»Ð½Ð¸Ð¼ Ð¿Ñ€Ð¾Ð²ÐµÑ€ÐºÐ¸ Ð¿ÐµÑ€ÐµÐ´ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¾Ð¹

 * Ð•Ð°Ð¹Ð´ÐµÐ½Ð¾ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ðµ: Calculate Linux Desktop 11.0 KDE (build 20101217)



ÐŸÑ€Ð¾Ð´Ð¾Ð»Ð¶Ð¸Ñ‚ÑŒ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÑƒ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹ (yes/no): y



 * Ð¤Ð¾Ñ€Ð¼Ð°Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ðµ Ñ€Ð°Ð·Ð´ÐµÐ»Ð¾Ð² ...                                                                   

                                         [ ok ]

 * Ð Ð°Ñ•Ð¿Ð°ÐºÐ¾Ð²ÐºÐ° Ð¾Ð±Ñ€Ð°Ð·Ð° Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹ ...                                                                   

                                       [ !! ]

 * ÐžÑ‚ÐºÐ»ÑŽÑ‡ÐµÐ½Ð¸Ðµ ÑƒÑ•Ñ‚Ð°Ð½Ð°Ð²Ð»Ð¸Ð²Ð°ÐµÐ¼Ð¾Ð³Ð¾ Ð´Ð¸Ñ•Ñ‚Ñ€Ð¸Ð±ÑƒÑ‚Ð¸Ð²Ð° ...  
                                                                                         [ ok ]

 * ÐžÑ‚Ð¼Ð¾Ð½Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ðµ Ñ€ÐµÑ•ÑƒÑ€Ñ•Ð¾Ð² ÑƒÑ•Ñ‚Ð°Ð½Ð°Ð²Ð»Ð¸Ð²Ð°ÐµÐ¼Ð¾Ð¹ 

Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹ ...                                                                                    [ ok ]

 * Ð•Ðµ ÑƒÐ´Ð°Ð»Ð¾Ñ•ÑŒ ÐºÐ¾Ð¿Ð¸Ñ€Ð¾Ð²Ð°Ñ‚ÑŒ Ñ„Ð°Ð¹Ð»Ñ‹ Ð¸Ð· '/mnt/livecd' Ð² '/mnt/install':

 * rsync: writefd_unbuffered failed to write 4 bytes to socket [sender]: Broken pipe (32)

 * rsync: write failed on "/mnt/install/usr/include/ImageMagick/Magick++/Image.h": Cannot allocate memory 

(12)

 * rsync: connection unexpectedly closed (157673 bytes received so far) [sender]

 * rsync error: error in rsync protocol data stream (code 12) at io.c(601) [sender=3.0.7]

 * Ð•Ðµ ÑƒÐ´Ð°Ð»Ð¾Ñ•ÑŒ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð¸Ñ‚ÑŒ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñƒ

</pre>



ÐšÐ¾Ð¿Ð¸Ñ• Ð²Ñ‹Ð²Ð¾Ð´Ð°:

http://pastebin.com/uVMc00Pv

History

01/14/2011 02:55 pm - Alexander Tratsevskiy

- Assignee set to Mikhail Hiretsky

01/18/2011 05:00 pm - Mikhail Hiretsky

- Status changed from New to Feedback

Ð£Ñ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ° Ð¿Ñ€Ð¾Ð¸Ð·Ð²Ð¾Ð´Ð¸Ð»Ð°Ñ•ÑŒ Ñ• livecd Ð¸Ð»Ð¸ Ð¸Ð· ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½Ð½Ð¾Ð¹ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹?

01/18/2011 05:25 pm - Ð®Ñ€Ð¸Ð¹ Ð•Ð½ÑƒÑ„Ñ€Ð¸ÐµÐ²

Ð£Ñ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ° Ð¸Ð´ÐµÑ‚ Ð¸Ð· Ñ€Ð°Ð±Ð¾Ñ‡ÐµÐ¹ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹. 

ÐŸÐ¾Ñ•Ð»Ðµ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ñ• ÑƒÑ‚Ð¸Ð»Ð¸Ñ‚ Ð¿Ð¾Ð¿Ñ€Ð¾Ð±Ð¾Ð²Ð°Ð» Ñ•Ð½Ð¾Ð²Ð°:

<pre>

sudo cl-install --type=hdd --march=i686 -d /dev/sdd1 -d /dev/sda4:none                                                         17:20

ÐŸÐ°Ñ€Ð¾Ð»ÑŒ: 

 * Ð£Ñ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ° Calculate Linux

Ð¡Ð¸Ñ•Ñ‚ÐµÐ¼Ð½Ð°Ñ• Ð¸Ð½Ñ„Ð¾Ñ€Ð¼Ð°Ñ†Ð¸Ñ•

 * Ð˜Ð¼Ñ• ÐºÐ¾Ð¼Ð¿ÑŒÑŽÑ‚ÐµÑ€Ð°: calculate

 * Ð”Ð¾Ð¼ÐµÐ½Ð½Ð¾Ðµ Ð¸Ð¼Ñ•: local

 * Ð¡ÐµÑ‚ÐµÐ²Ñ‹Ðµ ÑƒÑ•Ñ‚Ñ€Ð¾Ð¹Ñ•Ñ‚Ð²Ð°: eth0 (DHCP), wlan0 (Off)

 * Ð£Ñ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½Ð½Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð°: Calculate Linux Desktop 11.0

ÐžÐ±Ð¾Ñ€ÑƒÐ´Ð¾Ð²Ð°Ð½Ð¸Ðµ

 * Ð¢Ð¸Ð¿ Ð¾Ð±Ð¾Ñ€ÑƒÐ´Ð¾Ð²Ð°Ð½Ð¸Ñ• Ð¼Ð°ÑˆÐ¸Ð½Ñ‹: i686

 * ÐšÐ¾Ð»Ð¸Ñ‡ÐµÑ•Ñ‚Ð²Ð¾ Ð¿Ñ€Ð¾Ñ†ÐµÑ•Ñ•Ð¾Ñ€Ð¾Ð²: 2

 * ÐŸÑ€Ð¾Ð¸Ð·Ð²Ð¾Ð´Ð¸Ñ‚ÐµÐ»ÑŒ Ð²Ð¸Ð´ÐµÐ¾ÐºÐ°Ñ€Ñ‚Ñ‹: ati

 * Ð Ð°Ð·Ñ€ÐµÑˆÐµÐ½Ð¸Ðµ Ñ•ÐºÑ€Ð°Ð½Ð°: 1680x1050

Ð›Ð¾ÐºÐ°Ð»Ð¸Ð·Ð°Ñ†Ð¸Ñ•

 * Ð¯Ð·Ñ‹Ðº: ru_RU

 * Ð Ð°Ñ•ÐºÐ»Ð°Ð´ÐºÐ° ÐºÐ»Ð°Ð²Ð¸Ð°Ñ‚ÑƒÑ€Ñ‹: us,ru

 * Ð§Ð°Ñ•Ð¾Ð²Ð¾Ð¹ Ð¿Ð¾Ñ•Ñ•: Europe/Moscow

Ð Ð°Ð·Ð¼ÐµÑ‰ÐµÐ½Ð¸Ðµ

 * Ð“Ð»Ð°Ð²Ð½Ð°Ñ• Ð·Ð°Ð³Ñ€ÑƒÐ·Ð¾Ñ‡Ð½Ð°Ñ• Ð·Ð°Ð¿Ð¸Ñ•ÑŒ (MBR): /dev/sda (ATA WDC WD3200AAJS-2)

+--------+------------+------------+------------------+---------------+---------+

| Ð Ð°Ð·Ð¼ÐµÑ€ | Ð£Ñ•Ñ‚Ñ€Ð¾Ð¹Ñ•Ñ‚Ð²Ð¾ | Ð”Ð¸Ñ€ÐµÐºÑ‚Ð¾Ñ€Ð¸Ñ• | Ð¤Ð°Ð¹Ð»Ð¾Ð²Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð° | 

Ð¤Ð¾Ñ€Ð¼Ð°Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ñ‚ÑŒ | Ð Ð°Ð·Ð´ÐµÐ»  |

+--------+------------+------------+------------------+---------------+---------+

| 2657MB | /dev/sda5  |            | swap             |               | logical |

| 8102MB | /dev/sdd1  | /          | reiserfs         | Ð”Ð°            | primary |
+--------+------------+------------+------------------+---------------+---------+

Ð¡ÐµÑ‚ÐµÐ²Ñ‹Ðµ Ñ•ÐµÑ€Ð²Ð¸Ñ•Ñ‹

 * ÐŸÑ€Ð¾ÐºÑ•Ð¸: Ð½ÐµÑ‚

 * NTP: ntp0.zenon.net

Ð’Ñ‹Ð¿Ð¾Ð»Ð½Ð¸Ð¼ Ð¿Ñ€Ð¾Ð²ÐµÑ€ÐºÐ¸ Ð¿ÐµÑ€ÐµÐ´ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¾Ð¹

 * Ð•Ð°Ð¹Ð´ÐµÐ½Ð¾ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ðµ: Calculate Linux Desktop 20101217 KDE (build 20101217)

ÐŸÑ€Ð¾Ð´Ð¾Ð»Ð¶Ð¸Ñ‚ÑŒ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÑƒ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹ (yes/no): y

 * Ð¤Ð¾Ñ€Ð¼Ð°Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ðµ Ñ€Ð°Ð·Ð´ÐµÐ»Ð¾Ð² ...                                                                                                            [ ok ]

 * Ð Ð°Ñ•Ð¿Ð°ÐºÐ¾Ð²ÐºÐ° Ð¾Ð±Ñ€Ð°Ð·Ð° Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹ ...                                                                                                          [ !! ]

 * ÐžÑ‚ÐºÐ»ÑŽÑ‡ÐµÐ½Ð¸Ðµ ÑƒÑ•Ñ‚Ð°Ð½Ð°Ð²Ð»Ð¸Ð²Ð°ÐµÐ¼Ð¾Ð³Ð¾ Ð´Ð¸Ñ•Ñ‚Ñ€Ð¸Ð±ÑƒÑ‚Ð¸Ð²Ð° ...                                                                    

                       [ ok ]

 * ÐžÑ‚Ð¼Ð¾Ð½Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ðµ Ñ€ÐµÑ•ÑƒÑ€Ñ•Ð¾Ð² ÑƒÑ•Ñ‚Ð°Ð½Ð°Ð²Ð»Ð¸Ð²Ð°ÐµÐ¼Ð¾Ð¹ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹ ...                                    

                                                [ ok ]

 * Ð•Ðµ ÑƒÐ´Ð°Ð»Ð¾Ñ•ÑŒ cÐ¼Ð¾Ð½Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ñ‚ÑŒ /mnt/cdrom.ClnGnecv/livecd.squashfs:

 * mount: Ð½ÐµÐ¸Ð·Ð²ÐµÑ•Ñ‚Ð½Ñ‹Ð¹ Ñ‚Ð¸Ð¿ Ñ„Ð°Ð¹Ð»Ð¾Ð²Ð¾Ð¹ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹ 'squashfs'

 * Ð•Ðµ ÑƒÐ´Ð°Ð»Ð¾Ñ•ÑŒ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð¸Ñ‚ÑŒ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñƒ

</pre>

01/20/2011 09:47 pm - Mikhail Hiretsky

Ð’ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ðµ Ð¿ÐµÑ€ÐµÑ•Ð¾Ð±Ð¸Ñ€Ð°Ð»Ð¾Ñ•ÑŒ Ñ•Ð´Ñ€Ð¾? ÐŸÐ¾Ñ…Ð¾Ð¶Ðµ Ð½Ðµ ÑƒÐ´Ð°ÐµÑ‚Ñ•Ñ• Ð½Ð°Ð¹Ñ‚Ð¸ 

Ð¼Ð¾Ð´ÑƒÐ»ÑŒ squashfs. Ð’ Ñ‚ÐµÐºÑƒÑ‰ÐµÐ¼ Ð·Ð°Ð³Ñ€ÑƒÐ¶ÐµÐ½Ð½Ð¾Ð¼ Ñ•Ð´Ñ€Ðµ Ð²ÐºÐ»ÑŽÑ‡ÐµÐ½Ð° squashfs?

<pre>

zgrep CONFIG_SQUASHFS /proc/config.gz

</pre>

01/21/2011 03:46 pm - Ð®Ñ€Ð¸Ð¹ Ð•Ð½ÑƒÑ„Ñ€Ð¸ÐµÐ²

Ð”Ð° Ð½Ð° Ñ‚ÐµÐºÑƒÑ‰ÐµÐ¹ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ðµ Ð±Ñ‹Ð» Ð²Ñ‹ÐºÐ»ÑŽÑ‡ÐµÐ½ squashfs. Ð˜Ð·Ð½Ð°Ñ‡Ð°Ð»ÑŒÐ½Ð¾ ÐºÐ¾Ð³Ð´Ð° 

Ð¿Ð¸Ñ•Ð°Ð»Ð°Ñ•ÑŒ Ð¾ÑˆÐ¸Ð±ÐºÐ° Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð° Ð±Ñ‹Ð»Ð° Ð¿Ð¾Ð»Ð½Ð¾Ñ•Ñ‚ÑŒÑŽ Ð±Ð°Ð·Ð¾Ð²Ð¾Ð¹.

ÐŸÐ¾Ñ•Ð»Ðµ Ð²ÐºÐ»ÑŽÑ‡ÐµÐ½Ð¸Ñ• squashfs Ð¾ÑˆÐ¸Ð±ÐºÐ° Ð²Ñ€Ð¾Ð´Ðµ Ð¿Ñ€Ð¾Ð¿Ð°Ð»Ð°, Ð½Ð¾ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð° 

Ñ•Ñ‚Ð°Ð²Ð¸Ð»Ð°Ñ•ÑŒ 30 Ð¼Ð¸Ð½ÑƒÑ‚ Ð¸ Ð½Ðµ Ð¿Ð¾Ñ•Ñ‚Ð°Ð²Ð¸Ð»Ð°Ñ•ÑŒ, Ð±ÑƒÐ´Ñƒ Ñ€Ð°Ð·Ð±Ð¸Ñ€Ð°Ñ‚ÑŒÑ•Ñ•. Ð”ÑƒÐ¼Ð°ÑŽ 

Ð¼Ð¾Ð¶Ð½Ð¾ Ð·Ð°ÐºÑ€Ñ‹Ð²Ð°Ñ‚ÑŒ Ð‘Ð°Ð³. 

Ð‘Ð»Ð°Ð³Ð¾Ð´Ð°Ñ€ÑŽ Ð·Ð° Ð¿Ð¾Ð¼Ð¾Ñ‰ÑŒ.

01/22/2011 10:45 am - Alexander Tratsevskiy

- Target version deleted (11.0)

02/01/2011 03:08 pm - Mikhail Hiretsky

- Status changed from Feedback to Closed
